#include "cigarette.h"
#include <QtWidgets/QApplication>
#include <QPixmap>
#include <QSplashScreen>
#if defined LICENSE_VERIFY
#pragma comment(lib,"CryptoToolLib.lib")
#include "CryptoToolLib.h"
#endif
int main(int argc, char *argv[])
{
#if defined LICENSE_VERIFY
	if(!VerifyLicense())
	{
		exit(0);
	}
#endif
	qRegisterMetaType<cv::Mat>("cv::Mat");
	QApplication a(argc, argv);
	QPixmap pixmap("D:/Release/splash.jpg");
	QSplashScreen splash(pixmap);
	splash.show();
	a.processEvents();
	Cigarette w;
	w.show();
	//w.showFullScreen();
	splash.finish(&w);
	return a.exec();
}
